# Interface RcsbViewInterface<T, R, U>

#### Type Parameters

- #### T

- #### R

- #### U

#### Hierarchy

- RcsbViewInterface

- Defined in RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:18

#####
Index

### Properties

additionalConfig?
buildPfvOnMount?
callbackManagerFactory
pfvManagerFactory
pfvParams
rcsbId
useOperatorsFlag?

### Methods

additionalContent?

## Properties

### `Optional` additionalConfig

additionalConfig?: RcsbFvAdditionalConfig & {
operatorChangeCallback?: ((operatorInfo: OperatorInfo) => void);
}

- Defined in RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:20

### `Optional` buildPfvOnMount

buildPfvOnMount?: boolean

- Defined in RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:26

### callbackManagerFactory

callbackManagerFactory: CallbackManagerFactoryInterface<R, U>

- Defined in RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:24

### pfvManagerFactory

pfvManagerFactory: PfvManagerFactoryInterface<T, R, U>

- Defined in RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:23

### pfvParams

pfvParams: T

- Defined in RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:22

### rcsbId

rcsbId: string

- Defined in RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:19

### `Optional` useOperatorsFlag

useOperatorsFlag?: boolean

- Defined in RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:21

## Methods

### `Optional` additionalContent

- additionalContent(props: RcsbViewInterface<T, R, U> & AbstractViewInterface<R>): Element

- #### Parameters

  - ##### props: RcsbViewInterface<T, R, U> & AbstractViewInterface<R>

  #### Returns Element

  - Defined in RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:25

Generated using TypeDoc